<!-- changelog -->
<div id="changelog" class="bpanel-content">

    <!-- .bpanel-main-content -->
    <div class="bpanel-main-content no-margin">

        <!-- tab1-changelog -->
        <div id="tab1" class="tab-content">
            <!-- .bpanel-box -->
            <div class="bpanel-box">
                <div class="box-title">
                    <h3><?php echo constant('THEME_NAME'); esc_html_e(' Theme Change Log', 'veda'); ?></h3>
                </div>

                <div class="box-content">
                <pre>
2020.12.16 - version 3.4

* Latest jQuery fixes updated
* Updated: All premium plugins

2020.10.09 - version 3.3

* Compatible with wordpress 5.5.1
* Updated: Coming soon enabled sticky menu issue
* Updated: Notice errors
* Updated: Fatal error on other theme activation
* Updated: All premium plugins
* Updated: Woocommerce latest version
* Updated: Social Icons sortable fix
* Updated: Tabs not showing in VC

2020.08.14 - version 3.2

* Compatible with wordpress 5.5

2020.07.31 - version 3.1

* Updated: Envato Theme check
* Updated: sanitize_text_field added
* Updated: All wordpress theme standards
* Updated: All premium plugins

2020.07.15 – version 3.0

* Demo importer issue in buddha panel
* Woocommerce files updated

2020.06.24 – version 2.9

 * Compatible with wordpress 5.4.2
 * Updated: All premium plugins
 * Updated: All wordpress theme standards
 * Updated: Privacy and Cookies concept
 * Updated: Gutenberg editor support for custom post types

 * Fixed: Google Analytics issue
 * Fixed: Mailchimp email client issue
 * Fixed: Privacy Button Issue
 * Fixed: Gutenberg check for old wordpress version

 * Improved: Tags taxonomy added for portfolio
 * Improved: Single product breadcrumb section
 * Improved: Revisions options added for all custom posts

2019.06.20 – version 2.8
 * Gutenberg Latest update compatible
 * Fixed - Mailchimp Issue
 * Fixed - GDPR Product single page comment box issue
 * Updated wpml xml file
 * Updated latest version of all third party plugins
 * Updated - language pot files
 * Added - Unyson dummy content
 * Some design tweaks

2018.11.21 – version 2.7

 * Gutenberg plugin compatible
 * Latest wordpress version 4.9.8 compatible
 * Updated latest version of all third party plugins
 * Updated documentation

2018.10.08 - version 2.6

* GDPR Update
* Updated all third parthy plugins
* Documentation updated

2018.06.05 - version 2.5
 * Fix - Bulk plugins install issue
 * Fix - Woocommerce outdated files
 * Fix - Updated the no link menu issue
 * Fix - Iphone sidebar issue
 * Fix - Add target attribute for social media
 * Fix - Option for change the site title color
 * Fix - Unyson Page Bilder Conflict
 * Fix - Nav Menu Role Plugin compatible.
 * Fix - Updated theme options save issue
 * Fix - Woocommerce custom sidebar issue
 * Updated documentation
 * Updated language files
 * Updated all third party plugins
 * Updated designthemes core features plugin
 * Fix - All theme functions updated for child theme support
 * Fix - Buddypress issue
 * Fix - youtube and vimeo video issue in https
 * Fix - Twitter feeds links issue
 * Fix - Theme check issues
 * Fix - Event time format
 * Fix - mail issue
 * Fix - added dynamic copyright year shortcode
 * Fix - Import option issue
 * Fix - Working Hours shortcode created
 * Fix - Some Design tweaks

2017.09.04 - version 2.4
 * WordPress 4.8.1 compatible
 * Updated latest version of all third party plugins
 * Events addon plugin font issue update
 * Header animation issue fixed
 * VC content middle issue fixed
 * Transfer Theme options option worked
 * Recent post shortcode issue fixed
 * No breadcrumb, page title margin issue fixed
 * Woocommerce 3.1.2 compatible
 * Color picker option conflict issue fixed
 * Disable menu link design issue fixed
 * Nav Menu Roles plugin conflict issue fixed
 * Some design tweaks updated

2017.04.22 - version 2.3
 * Few shortcodes issues fixed
 * Some missing texts updated for translation
 * Updated latest version of all third party plugins
 * Woocommerce 3.0 compatible
 * Visual Composer 5.1.1 compatible
 * Some design tweaks updated
 * Few php warnings fixed
 * Few latest scripts updated
 * Core, Event, Model, Program, Restaurant, Rooms, Demo Importer plugin updated

2017.01.09 - version 2.2
 * Few warnings & notices fixed
 * Font awesome css updated
 * Some shortcodes issue fixed
 * Menu & Some elements responsive issues fixed
 * WordPress 4.7 Compatible
 * Updated latest version of all third party plugins

2016.09.30 - version 2.1
 * Added new demo (Advertisement, Cottage, Easy Seo, Inside, Leisure, Look Magazine, Private Teacher, Roofing, Solar Energy)
 * Demo Importer Plugin updated
 * Font awesome css updated

2016.08.27 - version 2.0
 * Added new demo (Fire Protection, Gym, HR Management, Organizer, Security System)
 * Core Plugin, Demo Importer Plugins updated
 * Mailchimp api BPanel option updated

2016.08.19 - version 1.10
 * Added new demo (Magazine)
 * Core Plugin, Demo Importer, Attorney Addon, Doctor Addon, University Addon Plugins updated
 * 5 & 6 columns widgetarea option in footer layout
 * BPanel options renamed and updated

2016.08.18 - version 1.9
 * Added new demos (Bar, Cafe, Modern Portfolio, Modern Portfolio

Filtered, Style Shop)
 * Core Plugin, Demo Importer Plugin updated
 * Button, Tab, Title shortcodes updated
 * Added infinite load more portfolio shortcode
 * New woocommerce product style added
 * Some design tweaks are updated

2016.08.12 - version 1.8
 * Added new demos (Aqua, Charity, Lifestyle, Security, Taxi)
 * Demo Importer Plugin updated

2016.08.11 - version 1.7
 * Added new demos (Logistic, Energy, Aquarium, Bike, Wine)
 * Demo Importer Plugin updated
 * Some design tweaks are updated

2016.08.10 - version 1.6
 * Added new demos (Personal Portfolio, Pizza, Portfolio Agency,

Portfolio Creative)
 * BuddyPress cover image issue fixed
 * Demo Importer Plugin updated
 * Some design tweaks are updated

2016.07.30 - version 1.5
 * Added new demos (Baby Photography, Construction, Flooring,

Moving, Tattoo, Wall Decor)
 * Blog posts shortcodes VC files updated
 * Core Plugin, Demo Importer Plugin updated
 * Some design tweaks are updated

2016.07.29 - version 1.4
 * Tribe Event Tickets, Tribe Event Tickets Plus, Tribe Filter Bar, Profile

Builder Hobbyist,
    Tribe Community Events, Tribe Community Events Tickets plugins

compatible
 * Added new demos (Financial, Flower, Wind Energy, IT Company)
 * One page menu jquery issues fixed
 * Core Plugin, Doctors addon, Attorney addon, Event addon updated
 * Some design tweaks are updated

2016.07.21 - version 1.3
 * Added 19 demo sliders (Layer & Revolution)

2016.07.19 - version 1.2
 * Added veda demo importer plugin
 * All importer files & functions moved to plugin (Veda Demo Importer)
 * Dummy content optimized
 * Some design tweaks updated
 * Core Plugin, Attorney addon updated

2016.07.15 - version 1.1
 * Minor Bpanel options updated
 * Dummy content updated

2016.07.15 - version 1.0
 * First release!</pre>
                </div><!-- .box-content -->
            </div><!-- .bpanel-box end -->
        </div><!--tab1-import-demo end-->

    </div><!-- .bpanel-main-content end-->
</div><!-- changelog end-->